import http from './http.js'
const request = http.request

/**
 * 增加打印机
 * @returns
 */
export function tbPrintMachine(data, method = 'post') {
	return request({
		url: '/api/shop-config/printer',
		method: method,
		data: {
			shopId: uni.getStorageSync('shopId'),
			...data
		}
	})
}

/**
 * 打印机列表
 * @returns
 */
export function tbPrintMachineGet(params) {
	return request({
		url: '/api/shop-config/printer/list',
		method: 'get',
		params: {
			shopId: uni.getStorageSync('shopId'),
			sort: '',
			...params
		}
	})
}

// 打印机部分
export function tbShopCategoryget(params) {
	return request({
		url: '/api/tbShopCategory',
		method: 'get',
		params
	})
}
// 修改打印机状态
export function shopConfigprinter(data) {
	return request({
		url: '/api/shop-config/printer/update-status',
		method: 'post',
		data
	})
}

//  * 打印机详情
export function printerd(id) {
	return request({
		url: '/api/shop-config/printer/' + id,
		method: 'get',

	})
}
// 删除
export function delTableHandle(id) {
	return request({
		url: '/api/shop-config/printer/' + id,
		method: 'DELETE',
	})
}